URLEncodeTask (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.property

## Class URLEncodeTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.property.AbstractPropertySetterTask
      - - net.sf.antcontrib.property.URLEncodeTask

- All Implemented Interfaces:
    java.lang.Cloneable

      public class URLEncodeTask
      extends AbstractPropertySetterTask

  Place class description here.
  Since:
  Author:
    Matthew Inger,

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLEncodeTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `java.lang.String` | `getValue(org.apache.tools.ant.Project p)`
    `void` | `setLocation(java.io.File location)`
    `void` | `setName(java.lang.String name)`
    `void` | `setRefid(org.apache.tools.ant.types.Reference ref)`
    `void` | `setValue(java.lang.String value)`
    `java.lang.String` | `toString()`
    `protected void` | `validate()`

    - ### Methods inherited from class net.sf.antcontrib.property.AbstractPropertySetterTask

      `setOverride, setProperty, setPropertyValue`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### URLEncodeTask

          public URLEncodeTask()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getValue

          public java.lang.String getValue(org.apache.tools.ant.Project p)

    - #### setLocation

          public void setLocation(java.io.File location)

    - #### setRefid

          public void setRefid(org.apache.tools.ant.types.Reference ref)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          protected void validate()

      Overrides:
        `validate` in class `AbstractPropertySetterTask`

    - #### execute

          public void execute()

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`